This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 245323 - Bad SONAME Provides
Bad SONAME Provides
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libsilc (Show other bugs)
7
All Linux
low Severity high
: ---
: ---
Assigned To: Warren Togami
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F8Target
  Show dependency treegraph
 
Reported: 2007-06-22 10:26 EDT by Michael Schwendt
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-27 17:26:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
cvs diff (1.39 KB, patch)
2007-09-24 16:07 EDT, Michael Schwendt
no flags Details | Diff
cvs add libsilc-filter-provides.sh (198 bytes, text/plain)
2007-09-24 16:08 EDT, Michael Schwendt
no flags Details

  None (edit)
Description Michael Schwendt 2007-06-22 10:26:51 EDT
libsilc provides libmd5.so.0
w3c-libwww provides libmd5.so.0

Indeed, for w3c-libwww a corresponding lib exists:

$ rpmls -p w3c-libwww-5.4.1-0.4.20060206cvs.fc6.i386.rpm | grep md5
lrwxrwxrwx  /usr/lib/libmd5.so.0
-rwxr-xr-x  /usr/lib/libmd5.so.0.1.0

$ rpm -qp --provides libsilc-1.0.2-2.fc6.i386.rpm 
libaes.so.0  
libblowfish.so.0  
libcast.so.0  
libmd5.so.0  
libnone.so.0  
librc5.so.0  
librsa.so.0  
libsha1.so.0  
libsilc-1.0.so.2  
libsilcclient-1.0.so.1  
libtwofish.so.0  
libsilc = 0:1.0.2-2.fc6

So, both packages conflict in what they provide. 

Worse, libsilc provides these sonames for private plugins outside
dynamic linker's search path:

$ rpmls -p libsilc-1.0.2-2.fc6.i386.rpm | grep mod
drwxr-xr-x  /usr/lib/silc/modules
-rwxr-xr-x  /usr/lib/silc/modules/aes.sim.so
-rwxr-xr-x  /usr/lib/silc/modules/blowfish.sim.so
-rwxr-xr-x  /usr/lib/silc/modules/cast.sim.so
-rwxr-xr-x  /usr/lib/silc/modules/md5.sim.so
-rwxr-xr-x  /usr/lib/silc/modules/none.sim.so
-rwxr-xr-x  /usr/lib/silc/modules/rc5.sim.so
-rwxr-xr-x  /usr/lib/silc/modules/rsa.sim.so
-rwxr-xr-x  /usr/lib/silc/modules/sha1.sim.so
-rwxr-xr-x  /usr/lib/silc/modules/twofish.sim.so
Comment 1 Michael Schwendt 2007-09-24 16:07:21 EDT
Created attachment 204511 [details]
cvs diff
Comment 2 Michael Schwendt 2007-09-24 16:08:04 EDT
Created attachment 204521 [details]
cvs add libsilc-filter-provides.sh
Comment 3 Michael Schwendt 2007-09-26 07:49:11 EDT
ping
Comment 4 Michael Schwendt 2007-09-27 17:26:55 EDT
Thanks!

Note You need to log in before you can comment on or make changes to this bug.